Index: src/EgradPath.f90
===================================================================
--- src/EgradPath.f90	(revision 11)
+++ src/EgradPath.f90	(revision 12)
@@ -3,6 +3,37 @@
   ! This subroutine calculates the energy+gradient for all points of
   ! the path
 
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
   use Path_module, only : ProgExe, NCoord, PROG, Nat, NGeomF, Coord, IntCoordF, &
        IndZmat, XyzGeomF, Atome, Order, OrderInv, Latr, FrozAtoms, &
        Grad, Energies, renum, dzdc, massat, Pi, NCART, OptReac, &
@@ -25,8 +56,13 @@
   REAL(KREAL), ALLOCATABLE :: x_k(:), y_k(:), z_k(:)
   REAL(KREAL), ALLOCATABLE :: GeomCart(:,:) !(Nat,3)
   REAL(KREAL) :: E
+! Flag to see if we should print debug info
   LOGICAL :: Debug
+! Flags to check if we have found the information we need
+  LOGICAL, SAVE :: FReadE, FReadGrad
   LOGICAL, SAVE :: First=.TRUE.
+! Flag to check if a file/directory exists
+  LOGICAL :: FExists
 
   INTEGER(KINT) :: I, Iat, IBeg, Idx
   REAL(KREAL) :: RTmp1, RTmp2, RTmp3
@@ -99,8 +135,13 @@
 
         ! First, we create all the POSCAR into the 0x directories
 
+        WRITE(IOOUT,*) " Creating the POSCAR files "
+
+
         ! With RunMode="Para" one cannot optimize reactants or products (due to Vasp constraints)
         ! so this has been done beforehand :-)
+
+
         IGeom0=2
         IGeomF=NGeomF-1
         PathCart=0.d0
@@ -111,7 +152,23 @@
            First=.FALSE.
            IGeom0=1
            IGeomF=NGeomF
-        END IF
+! PFL 2013 OCt ->
+! We might have to create the directories
+           Line2="00"
+           DO IGeom=IGeom0,IGeomF
+              WRITE(Line,'(I5)') IGeom-1
+              Idx=2-Len_TRIM(ADJUSTL(Line))
+              FileInp=Line2(1:Idx) // TRIM(AdjustL(Line))
+              INQUIRE(File=FileInp,Exist=FExists)
+              If (.NOT.Fexists) THEN
+                 FileInp="mkdir " // TRIM(FileInp)
+                 if (debug) WRITE(*,'(1X,A)') "Creating dir: " // TRIM(FileInp)
+                 CALL SYSTEM(FileInp)
+              ELSE IF (DEBUG) THEN
+                 WRITE(*,'(1X,A)') "Directory " // TRIM(FileInp) // " already exists"
+              END IF
+           END DO
+        END IF   ! If (First)
 
         Line2="00"
         DO IGeom=IGeom0,IGeomF
@@ -120,7 +177,7 @@
            ! THIS WILL HAVE EFFECT ON XyzGeomF UPDATE IN BAKER CASE.
            WRITE(Line,'(I5)') IGeom-1
            Idx=2-Len_TRIM(ADJUSTL(Line))
-           FileInp=Line2(1:Idx) // TRIM(AdjustL(Line)) // "/POSCAR"
+           FileInp="." // FileDelim // Line2(1:Idx) // TRIM(AdjustL(Line)) // FileDelim // "POSCAR"
            if (debug) WRITE(*,*) "Creating ",TRIM(FileInp)
            OPEN(IOTMP,File=TRIM(FileInp))
 
@@ -210,6 +267,7 @@
 
         RunCommand=Trim(ProgExe)
         if (debug) WRITE(*,*) "Launching:", TRIM(RunCommand)
+        WRITE(IOOUT,*) " Launching VASP to get the Forces "
         call system(RunCommand)
         if (debug) WRITE(*,*) "Back from:", TRIM(RunCommand)
 
@@ -217,6 +275,8 @@
 !
         ! We read the gradients and energies
 !
+        WRITE(IOOUT,*) " Reading Forces "
+
         IGeom0=2
         IGeomF=NGeomF-1
         Grad=0.d0
@@ -225,7 +285,7 @@
         DO IGeom=IGeom0,IGeomF
            WRITE(Line,'(I5)') IGeom-1
            Idx=2-Len_TRIM(ADJUSTL(Line))
-           FileInp=Line2(1:Idx) // TRIM(AdjustL(Line)) // "/OUTCAR"
+           FileInp="." // FileDelim // Line2(1:Idx) // TRIM(AdjustL(Line)) // FileDelim // "OUTCAR"
            if (debug) WRITE(*,*) "Reading E and forces from ", TRIM(FileInp)
            OPEN(IOTMP,File=TRIM(FileInp))
 
@@ -233,30 +293,40 @@
            READ(IOTMP,'(A)',END=999,ERR=999) LINE
            ! We search for the  last part of the OUTCAR file, after wavefunction is converged
            DO WHILE (INDEX(LINE,'EDIFF is reached')==0)
-              READ(IOTMP,'(A)',END=999,ERR=999) LINE
+              READ(IOTMP,'(A)',END=999,ERR=9991) LINE
            END DO
-           READ(IOTMP,'(A)',END=999,ERR=999) LINE
-           DO WHILE (INDEX(LINE,'TOTEN')==0)
-              READ(IOTMP,'(A)',END=999,ERR=999) LINE
-           END DO
-           Line=Line(26:)
-           READ(LINE,*) E
-           if (debug) WRITE(*,'(1X,A,I5,A,F20.6)') "DBG Egrad_VASP E(",Igeom,")=",E
-           Energies(Igeom)=E
 
-           ! We search for the forces
-           DO WHILE (INDEX(LINE,'TOTAL-FORCE')==0)
-              READ(IOTMP,'(A)',END=999,ERR=999) LINE
+! PFL oct 2013 ->
+! The order of the things that we search might change
+! so that we look for TOTEN and TOTAL-FORCE in parallel :)
+           FReadE=.FALSE.
+           FReadGrad=.FALSE.
+           DO WHILE (.NOT.(FReadE.AND.FReadGrad))
+              READ(IOTMP,'(A)',END=999,ERR=9992) LINE
+
+              IF (INDEX(LINE,'TOTEN')>0) THEN
+                 Line=Line(26:)
+                 READ(LINE,*) E
+                 if (debug) WRITE(*,'(1X,A,I5,A,F20.6)') "DBG Egrad_VASP E(",Igeom,")=",E
+                 Energies(Igeom)=E
+                 FReadE=.TRUE.
+              END IF
+
+              IF (INDEX(LINE,'TOTAL-FORCE')>0) THEN
+                 READ(IOTMP,'(A)',END=999,ERR=9993) LINE
+                 DO I=1,Nat
+                    Iat=I
+                    IF (renum) Iat=Order(I)
+                    READ(IOTMP,*,END=999,ERR=9994)  Rtmp1,RTmp2,RTmp3,GradCart(3*Iat-2:3*Iat)
+                 END DO
+                 FReadGrad=.TRUE.
+              END IF
            END DO
-           READ(IOTMP,'(A)',END=999,ERR=999) LINE
-           DO I=1,Nat
-              Iat=I
-              IF (renum) Iat=Order(I)
-              READ(IOTMP,*,END=999,ERR=999)  Rtmp1,RTmp2,RTmp3,GradCart(3*Iat-2:3*Iat)
-           END DO
 
            Close(IoTmp)
 
+           WRITE(IOOUT,*) " Forces read for geometry ",IGeom
+
            IF (debug) THEN
               WRITE(*,*) "DBG EGRAD_VASP - GradCart=FORCES - original order"
               DO I=1,Nat
@@ -274,6 +344,7 @@
            ! gradient in ua/Angstrom
            GradCart=-1.0d0*ev2Au*GradCart
 
+           
            ! We convert it into the right coordinate system
            ! This should be put into a subroutine (because it is also in egradient)
            SELECT CASE (COORD)
@@ -364,8 +435,10 @@
               Call PrintGeom(Line,Nat,NCoord,reshape(GRad(Igeom,1:NCoord),(/Ncoord/)),Coord,6,Atome,Order,OrderInv,IndZmat)
            END IF
         END DO ! matches  DO IGeom=IGeom0,IGeomF
+        
+     CASE ("GAUSSIAN")
 
-     CASE ("GAUSSIAN")
+        WRITE(IOOUT,*) " Creating the Input files and ListJob"
         ! We create the output files.
         IGeom0=2
         IGeomF=NGeomF-1
@@ -490,11 +563,14 @@
 
         Line=Trim(ProgExe) 
         IF (DEBUG) WRITE(*,*)'RunCommand:',TRIM(Line)
+        WRITE(IOOUT,*) " Launching Gaussian to compute the forces"
         call system(Line)
         IF (DEBUG) WRITE(*,*)'Back from RunCommand:'
 
 ! We read energies and gradients from the log files
 
+        WRITE(*,*) "Gaussian over. Reading the Forces"
+
         DO IGeom=IGeom0,IGeomF
            WRITE(Line,'(I5)') IGeom
            FileInp="PathPar_" // TRIM(ADJUSTL(Line)) // ".log"
@@ -538,10 +614,10 @@
 ! Gaussian gives the Forces in ua/a0, so we convert it into the 
 ! gradient in ua/Angstrom 
   gradCart=-1.0d0*Unit*gradCart
-
   CLOSE(IOTMP)
   Energies(IGeom)=E
-  
+
+  WRITE(*,*) "Forces and energy read for geometry ",IGeom
            ! We convert it into the right coordinate system
            ! This should be put into a subroutine (because it is also in egradient)
            SELECT CASE (COORD)
@@ -641,6 +717,7 @@
 
      DEALLOCATE(GradCart,PathCart)
 
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !
 ! Serial executions
@@ -660,7 +737,8 @@
 
      DO IGeom=IGeom0,IGeomF
         WRITE(Line,"('Geometry ',I3,'/',I3,' for iteration ',I3)") Igeom,NgeomF,Iopt
-        if (debug) WRITE(*,*) Line
+        WRITE(IOOUT,*) "Creating Input for ", TRIM(Line)
+!        if (debug) WRITE(*,*) Line
         SELECT CASE(Coord)
         CASE ('ZMAT','MIXED')
            GeomTmp=IntCoordF(IGeom,:)
@@ -678,33 +756,17 @@
            STOP
         END SELECT
 
-        !if (debug) WRITE(*,*) "Calling PrintGeom"
-        !Call PrintGeom(Line,Nat,NCoord,GeomTmp,Coord,IoOut,Atome,Order,OrderInv,IndZmat)
-
-        !           IF (debug) THEN 
-        !              WRITE(*,*) 'DBG Main, COORD=',TRIM(COORD), ' Igeom=',IGeom
-        !              WRITE(*,'(3(1X,F9.4))') Reshape(Reshape(XyzGeomF(IGeom,:,:),(/Nat,3/),ORDER=(/2,1/)),(/3*Nat/))
-        !              WRITE(*,'(3(1X,F9.4))') Reshape(XyzGeomF(IGeom,:,:),(/3*Nat/))
-        !              DO Iat=1,Nat
-        !                 WRITE(*,*) XyzGeomF(IGeom,1:3,Iat)
-        !              END DO
-        !           END IF
-
         IF (debug) THEN 
            WRITE(*,*) 'DBG Main, COORD=',TRIM(COORD),' IGeom=',IGeom,' Iopt=',Iopt
            WRITE(*,*) GeomTmp(1:min(NCoord,12))
         END IF
 
         GeomCart=0.d0
-!        IF(IOpt .EQ. 1) Then
-!           Print *, 'GeomTmp='
-!           WRITE(*,'(12(1X,F6.3))') GeomTmp
-!           Print *, 'GeomCart='
-!           WRITE(*,'(12(1X,F6.3))') GeomCart
-!      END IF
     
        ! GradTmp is gradient and calculated in Egrad.F, INTENT(OUT).
        ! GeomCart has INTENT(OUT)
+
+       WRITE(IOOUT,*) "Computing and reading forces for ", TRIM(Line)
        Call EGrad(E,GeomTmp,GradTmp,NCoord,IGeom,IOpt,GeomCart) !GeomTmp=IntCoordF(IGeom,:)
 
     ! Egrad calls ConvertBakerInternal_cart to convert GeomTmp=IntCoordF(IGeom,:) into 
@@ -723,14 +785,31 @@
         Grad(IGeom,:)=GradTmp
      END DO ! matches DO IGeom=IGeom0,IGeomF
      DEALLOCATE(GradTmp,GeomCart)
+
   END IF ! matches IF (RunMode=="PARA") THEN AFTER ELSE
 
+  WRITE(IOOUT,*) " Forces all read. Moving on"
+
+
   DEALLOCATE(GeomTmp)
   DEALLOCATE(x,y,z)
   DEALLOCATE(x_k,y_k,z_k)
   if (debug) Call header('Exiting EgradPath')
   RETURN
 999 WRITE(*,*) "EgradPath : We should not be here !"
+   WRITE(*,*) "End of file happened too soon"
   STOP
+9991 WRITE(*,*) "EgradPath : We should not be here !"
+  WRITE(*,*) "EgradPath was Looking for 'EDIFF is reached'"
+  STOP
+9992 WRITE(*,*) "EgradPath : We should not be here !"
+  WRITE(*,*) "EgradPath was Looking for 'TOTEN'"
+  STOP
+9993 WRITE(*,*) "EgradPath : We should not be here !"
+  WRITE(*,*) "EgradPath was Looking for 'TOTAL-FORCE'"
+  STOP
+9994 WRITE(*,*) "EgradPath : We should not be here !"
+  WRITE(*,*) "EgradPath was reading the forces "
+  STOP
 
 END SUBROUTINE EGRADPATH
Index: src/sinangle.f90
===================================================================
--- src/sinangle.f90	(revision 11)
+++ src/sinangle.f90	(revision 12)
@@ -1,4 +1,34 @@
      FUNCTION SinAngle(v1x,v1y,v1z,norm1,v2x,v2y,v2z,norm2)
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
 
        use Path_module, only :  KREAL
 
Index: src/Hinvup_DFP.f90
===================================================================
--- src/Hinvup_DFP.f90	(revision 11)
+++ src/Hinvup_DFP.f90	(revision 12)
@@ -1,5 +1,36 @@
 SUBROUTINE Hinvup_DFP(Nfree,ds,dgrad,Hess)
 
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
   IMPLICIT NONE
 
   INTEGER, PARAMETER :: KINT=KIND(1)
Index: src/egrad_LEPS.f90
===================================================================
--- src/egrad_LEPS.f90	(revision 11)
+++ src/egrad_LEPS.f90	(revision 12)
@@ -2,6 +2,37 @@
 ! This program computes the ernergy and gradien in cartesian coordinates
 ! for the cartesian geometry Geom
 
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
    IMPLICIT NONE
      integer, parameter :: KINT = kind(1)
      integer, parameter :: KREAL = kind(1.0d0)
Index: src/Warning.f90
===================================================================
--- src/Warning.f90	(revision 11)
+++ src/Warning.f90	(revision 12)
@@ -1,7 +1,39 @@
+    SUBROUTINE Warning(routine, msg, file, line, unit)
+
 ! This routine prints a warning message and goes on
 ! Inspired  from Die in Siesta 3.1 
-    SUBROUTINE Warning(routine, msg, file, line, unit)
 
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
       Use VarTypes
       Use io_module
 
Index: src/egrad_test_2D.f90
===================================================================
--- src/egrad_test_2D.f90	(revision 11)
+++ src/egrad_test_2D.f90	(revision 12)
@@ -2,6 +2,37 @@
 ! This program computes the energy and the gradient
 ! to cheat PATH we use a 3 atoms system
 
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
    IMPLICIT NONE
      integer, parameter :: KINT = kind(1)
      integer, parameter :: KREAL = kind(1.0d0)
Index: src/Extrapol_cart.f90
===================================================================
--- src/Extrapol_cart.f90	(revision 11)
+++ src/Extrapol_cart.f90	(revision 12)
@@ -8,6 +8,37 @@
   ! For now, it gives equidistant geometries
   !
 
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
   use Path_module
   use Io_module
 
Index: src/AlignPartial.f90
===================================================================
--- src/AlignPartial.f90	(revision 11)
+++ src/AlignPartial.f90	(revision 12)
@@ -19,6 +19,37 @@
   ! x2,y2,z2  : coordinates of the second geometry ALIGNED to the first one
   !-----------------------------------------------------------------------
 
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
   Use VarTypes
   IMPLICIT NONE
 
Index: src/ConvXyzMixed.f90
===================================================================
--- src/ConvXyzMixed.f90	(revision 11)
+++ src/ConvXyzMixed.f90	(revision 12)
@@ -1,5 +1,36 @@
 SUBROUTINE ConvXyzMixed(nb,ncart,x,y,z,ind_zmat,val_zmat)
 
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
   IMPLICIT NONE
 
   INTEGER, PARAMETER :: KINT=KIND(1)
Index: src/addligne.f90
===================================================================
--- src/addligne.f90	(revision 11)
+++ src/addligne.f90	(revision 12)
@@ -1,5 +1,36 @@
       SUBROUTINE AddLigne(i,n1,n2,n3,n4,ind_zmat,val_zmat,x,y,z)
 
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
       use Path_module, only : Nat, KINT, KREAL
 
       integer(KINT) :: ind_zmat(Nat, 5)
Index: src/PrintAnaList.f90
===================================================================
--- src/PrintAnaList.f90	(revision 11)
+++ src/PrintAnaList.f90	(revision 12)
@@ -1,6 +1,36 @@
  SUBROUTINE PrintAnaList(FileUnit)
 ! This routines prints the list of geometrical variables to monitor
 
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
 
   use VarTypes
   use Path_module
Index: src/Opt_Geom.f90
===================================================================
--- src/Opt_Geom.f90	(revision 11)
+++ src/Opt_Geom.f90	(revision 12)
@@ -1,3 +1,6 @@
+
+SUBROUTINE Opt_geom(IGeom,Nat,NCoord,Coord,Geom,E,Flag_Opt_Geom,Step_method)
+
 ! This subroutine optimizes a geometry. 
 ! Initially, it was mainly here for  debugging purposes..
 !so  It has been designed to be almost independent of the rest of the code.
@@ -3,10 +6,39 @@
 ! It is now an (almost) officiel option.
 
-SUBROUTINE Opt_geom(IGeom,Nat,NCoord,Coord,Geom,E,Flag_Opt_Geom,Step_method)
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
 
   use VarTypes
   use Path_module, only : maxcyc,sthresh,gthresh,Hinv,Smax,Nom,Atome,OrderInv,indzmat,&
-       XyzGeomF,IntCoordF,UMat,ScanCoord,Coordinate,NPrim,&
-       BTransInv,BTransInv_local,XyzGeomI,Xprimitive_t,ScanCoord,&
+       UMat,ScanCoord,Coordinate,NPrim,&
+       BTransInv,BTransInv_local,Xprimitive_t,ScanCoord,&
        Coordinate,Pi,UMat_local,NCart, DynMaxStep,FPrintGeom,GeomFile, AtName,Renum,Order, &
        FormAna,NbVar, PrintGeomFactor,AnaGeom
